//
//  APMGenerosity.h
//  APMServices
//
//  Created by Vincent Ducastel on 01/10/2014.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

#import "APMModel.h"

@interface APMGenerosity : APMModel<NSCoding, NSCopying>

@property (nonatomic, assign) NSInteger generosityID;
@property(nonatomic, strong) NSString *generosityMsg;
@property(nonatomic, assign) NSInteger generosityValue;
@property(nonatomic, assign) NSInteger generosityFrequence;
@property(nonatomic, strong) NSString *tagID;
@property(nonatomic, strong) NSString *tagLabel;
@property(nonatomic, strong) NSString *actionName;
@property(nonatomic, strong) NSString *classID;
@property(nonatomic, assign) NSInteger generosityCeiling;
@property(nonatomic, strong) NSDate* triggedAt;
@property(nonatomic, assign) double offset;
@property(nonatomic, assign) NSInteger generosityType;
@property(nonatomic, strong) NSString *deeplinkUrl;

-(id)initWithJSONObject:(NSDictionary*)jsonObject;
-(NSString*)getCeilingStr;
-(BOOL)isActived;
-(BOOL)isPlayable;

@end
