//
//  APMPartner.h
//  AppsMiles
//
//  Created by Vincent Ducastel on 14/05/2014.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

#import "APMModel.h"

@interface APMPartner : APMModel<NSCopying>

@property(strong, nonatomic) NSString *apmScheme;
@property(strong, nonatomic) NSString *partnerUrl;
@property(strong, nonatomic) NSString *content;
@property(assign, nonatomic) NSInteger maxGenerosity;
@property(assign, nonatomic) NSInteger partnerID;
@property(strong, nonatomic) NSString *partnerLabel;
@property(strong, nonatomic) NSString *storeID;

@property (nonatomic, strong) NSString *media;
@property (nonatomic, strong) UIImage *imageMedia;
@property (nonatomic, assign) BOOL isImageMediaLoading;
@property (nonatomic, assign) NSInteger countImageMediaLoad;

-(id)initWithJSONObject:(NSDictionary*)jsonObject;

@end
