//
//  APMAd.h
//  AppsMiles
//
//  Created by Vincent Ducastel on 14/05/2014.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

#import "APMModel.h"

@interface APMAd : APMModel<NSCopying>

@property(assign, nonatomic) NSInteger adID;
@property(strong, nonatomic)  NSString *label;
@property(strong, nonatomic)  NSString *content;

//Media
@property (nonatomic, strong) NSString *media;
@property (nonatomic, strong) UIImage *imageMedia;
@property (nonatomic, assign) BOOL isImageMediaLoading;
@property (nonatomic, assign) NSInteger countImageMediaLoad;

//Large media
@property (nonatomic, strong) NSString *largeMedia;
@property (nonatomic, strong) UIImage *imageLargeMedia;
@property (nonatomic, assign) BOOL isImageLargeMediaLoading;
@property (nonatomic, assign) NSInteger countImageLargeMediaLoad;

-(id)initWithJSONObject:(NSDictionary*)jsonObject;

@end
