//
//  APMHowWorks.h
//  APMServices
//
//  Created by Vincent Ducastel on 08/01/2015.
//  Copyright (c) 2015 Moonmiles. All rights reserved.
//

#import "APMModel.h"

@interface APMHowWorks : APMModel<NSCoding, NSCopying>

@property(nonatomic, strong) NSString *label;
@property(nonatomic, strong) NSString *content;
@property(nonatomic, assign) NSInteger type;
@property(nonatomic, strong) NSMutableArray* actions; //For type actions
@property(nonatomic, strong) NSMutableArray* gifts; //For type gifts
@property(nonatomic, assign) NSInteger target; //0 : Not connected, 1 : Connected, 2 : Connected and not connected

-(id)initWithJSONObject:(NSDictionary*)jsonObject;

@end
